NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_url2file(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_url2file - Return the path to a file referenced by a URL

## Table Of Contents

## Synopsis

- ns_url2file url

## Description

This command returns the absolute path to a file referenced by the given URL. The file returned is located in the "pages" directory on the current virtual server.

## COMMANDS

ns_url2file url

## EXAMPLES

This is especially useful when using the ns_adp_include command.

       <% ns_adp_include [ns_url2file /include/myfile.inc] %>

       % ns_url2file /test.adp
       /usr/local/ns/pages/test.adp

## See Also

nsd